View Issue Details

IDProjectCategoryView StatusLast Update
0018010LazarusLCLpublic2010-11-23 22:01
ReporterAndrzej KilijanskiAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0018010: DblClick on SpeedButton with AllowAllUp, GroupIndex:=1 gives wrong "Down" state in OnDblClick
DescriptionHi, I just try make a speedbutton with up/down state.
First I added my code in OnClick event but when I accidentally DblClick then my code was not executed.
So I add the same procedure to OnDblClick, unfortunately the Down property has wrong state in this event handler.

Please see simple test application.
Regards
Andrzej KilijaƄski

TagsNo tags attached.
Fixed in Revision28394
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

2010-11-21 14:58

 

speedbuttontest.zip (65,315 bytes)

Paul Ishenin

2010-11-22 07:16

manager   ~0043348

Delphi generates the second click event in this case. LCL now do the same. Move your implementation back to click event.

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-11-21 14:58 Andrzej Kilijanski New Issue
2010-11-21 14:58 Andrzej Kilijanski File Added: speedbuttontest.zip
2010-11-21 14:58 Andrzej Kilijanski Widgetset => Win32/Win64
2010-11-21 21:30 Maxim Ganetsky LazTarget => -
2010-11-21 21:30 Maxim Ganetsky Status new => confirmed
2010-11-22 06:19 Vincent Snijders LazTarget - => 1.0
2010-11-22 06:19 Vincent Snijders Target Version => 1.0.0
2010-11-22 07:16 Paul Ishenin Fixed in Revision => 28394
2010-11-22 07:16 Paul Ishenin Status confirmed => resolved
2010-11-22 07:16 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-11-22 07:16 Paul Ishenin Resolution open => fixed
2010-11-22 07:16 Paul Ishenin Assigned To => Paul Ishenin
2010-11-22 07:16 Paul Ishenin Note Added: 0043348
2010-11-23 22:01 Andrzej Kilijanski Status resolved => closed